Subject: Re: [RFC PATCH 0/5] net: low latency Ethernet device polling

From: Eliezer Tamir <[email-masked]>
Date: Sat, 02 Mar 2013 19:02:31 +0200

On 01/03/2013 23:24, David Miller wrote:
> From: Eliezer Tamir <[email-masked]>
> Date: Wed, 27 Feb 2013 09:55:49 -0800
>
>> This patchset adds the ability for the socket layer code to poll directly
>> on an Ethernet device's RX queue. This eliminates the cost of the interrupt
>> and context switch and with proper tuning allows us to get very close
>> to the HW latency.
>>
>> This is a follow up to Jesse Brandeburg's Kernel Plumbers talk from last year
>> http://www.linuxplumbersconf.org/2012/wp-content/uploads/2012/09/2012-lpc-Low-Latency-Sockets-slides-brandeburg.pdf
>
> I just wanted to say that I like this work a lot.
>
> It proves a lot of things I try to impress upon people who talk about
> how RDMA is such a "must have" because the software stack can't
> possibly give anything near HW latency.
>
> Obviously such arguments are complete bullshit as is shown by these
> changes.
>
> This is exactly the kind of approach that makes sense rather than
> trying to put entire TCP stacks in the network card firmware.
>
> Thanks again for doing this work and I look forward to applying
> this stuff once all the kinks are worked out.  The folks in the
> Intel NIC group continue to impress me.

It would really help us to hear opinions on the open issues we listed.

Thanks,
Eliezer